import geoData from './geoData';

export default (AMap, map) => {
  const outer = [
    new AMap.LngLat(-360, 90, true),
    new AMap.LngLat(-360, -90, true),
    new AMap.LngLat(360, -90, true),
    new AMap.LngLat(360, 90, true),
  ];

  const holes = geoData.features[0].geometry.coordinates[0][0];
  const pathArray = [outer, holes];

  const polygon = new AMap.Polygon({
    pathL: pathArray,
    strokeColor: '#3D81F0',
    strokeWeight: 1,
    strokeOpacity: 0.1,
    fillColor: '#3D81F0',
    fillOpacity: 0.5,
  });
  polygon.setPath(pathArray);
  map.add(polygon);
};
